
package com.tmerclub.cloud.user.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author tmerclub
 * @date 2021/2/25
 */
public class UserInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 用户积分
     */
    @Schema(description = "用户积分")
    private Long score;
    /**
     * 用户余额
     */
    @Schema(description = "用户余额")
    private Long actualBalance;

    /**
     * 累计余额
     */
    @Schema(description = "累计余额")
    private Long balance;

    @Schema(description = "通联累计余额")
    private Long allinpayBalance;

    @Schema(description = "通联实际余额")
    private Long allinpayActualBalance;

    /**
     * 优惠券数量
     */
    @Schema(description = "优惠券数量")
    private Integer couponNum;
    /**
     * 消息
     */
    @Schema(description = "消息数量")
    private Integer notifyNum;

    @Schema(description = "商品收藏数量")
    private Integer collections;

    public Long getScore() {
        return score;
    }

    public void setScore(Long score) {
        this.score = score;
    }


    public Integer getCouponNum() {
        return couponNum;
    }

    public void setCouponNum(Integer couponNum) {
        this.couponNum = couponNum;
    }

    public Integer getNotifyNum() {
        return notifyNum;
    }

    public void setNotifyNum(Integer notifyNum) {
        this.notifyNum = notifyNum;
    }

    public Long getActualBalance() {
        return actualBalance;
    }

    public void setActualBalance(Long actualBalance) {
        this.actualBalance = actualBalance;
    }

    public Long getBalance() {
        return balance;
    }

    public void setBalance(Long balance) {
        this.balance = balance;
    }

    public Integer getCollections() {
        return collections;
    }

    public void setCollections(Integer collections) {
        this.collections = collections;
    }

    public Long getAllinpayBalance() {
        return allinpayBalance;
    }

    public void setAllinpayBalance(Long allinpayBalance) {
        this.allinpayBalance = allinpayBalance;
    }

    public Long getAllinpayActualBalance() {
        return allinpayActualBalance;
    }

    public void setAllinpayActualBalance(Long allinpayActualBalance) {
        this.allinpayActualBalance = allinpayActualBalance;
    }

    @Override
    public String toString() {
        return "UserInfoVO{" +
                "score=" + score +
                ", actualBalance=" + actualBalance +
                ", balance=" + balance +
                ", allinpayBalance=" + allinpayBalance +
                ", allinpayActualBalance=" + allinpayActualBalance +
                ", couponNum=" + couponNum +
                ", notifyNum=" + notifyNum +
                ", collections=" + collections +
                '}';
    }
}
